%define anolis_release 1
Name:           lcms2
Version:        2.16
Release:        %{anolis_release}%{?dist}
Summary:        Color Management Engine
License:        MIT AND GPL-3.0-or-later
URL:            http://www.littlecms.com/
Source0:        https://github.com/mm2/Little-CMS/releases/download/lcms%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libjpeg-devel libtiff-devel zlib-devel
BuildRequires:  meson

%description
Little CMS intends to be a small-footprint color management engine, with
special focus on accuracy and performance. It uses the International
Color Consortium standard (ICC), which is the modern standard when
regarding to color management.

%package        devel
Summary:        Development files for LittleCMS
Requires:       %{name} = %{EVR}
Provides:       littlecms-devel = %{EVR}

%description    devel
Development files for LittleCMS.

%package        utils
Summary:        Utility applications for %{name}
Requires:       %{name} = %{EVR}

%description    utils
The %{name}-utils package contains utility applications for %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1


%build
%meson -Dutils=true
%meson_build

%install
%meson_install


%generate_compatibility_deps

%check
%meson_test


%files
%dir %{abidir}
%license LICENSE
%{_libdir}/liblcms2.so.2*
%{abidir}/liblcms2.dump

%files devel
%{_includedir}/lcms2*.h
%{_libdir}/liblcms2.so
%{_libdir}/pkgconfig/lcms2.pc

%files utils
%{_bindir}/*
%{abidir}/*-option.list
%{_mandir}/man1/*

%files doc
%doc AUTHORS ChangeLog README*

%changelog
* Mon Feb 24 2025 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 2.16-1
- update to 2.16 from 2.15
- switch to build using meson
- Migrated to SPDX license

* Wed May 22 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.15-3
- fix source link

* Tue Apr 11 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 2.15-2
- optimize spec

* Sun Mar 5 2023 Funda Wang <fundawang@yeah.net> - 2.15-1
- New version 2.15

* Thu Jan 19 2023 Funda Wang <fundawang@yeah.net> - 2.14-1
- New version 2.14

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.13.1-2
- optimise spec file & add doc package

* Wed Apr 13 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.13.1-1
- init from upstream
